/*
** destroy.c for rhttpr in ~rflav/works/c/rhttpr
** 
** Made by rflav
** Login   <flav@epita.fr>
** 
** Started on  Mon Jan 17 16:00:30 2000 rflav
** Last update Tue Feb 22 11:02:59 2000 rflav
*/
#include <gen.h>

void		rhttpr_free_rq(rq)
t_httprq	*rq;
{
  if (rq->user_agent != DEF_AGENT)
    free(rq->user_agent);
  if (rq->host != DEF_HOST)
    free(rq->host);
  DESTROY(rq->proxy);
  DESTROY(rq->referer);
  DESTROY(rq->cookie);
  DESTROY(rq->data);
  DESTROY(rq->action);
  DESTROY(rq->proxy_user);
  DESTROY(rq->proxy_passwd);
  DESTROY(rq->auth_string);
  DESTROY(rq->contentype);
  DESTROY(rq);
}

void		rhttpr_destroy_list(rs)
t_httprs	*rs;
{
  t_list	*cur;

  cur = rs->fl;
  while (cur)
    {
      t_list	*tmp;

      DESTROY(cur->name);
      DESTROY(cur->val);
      tmp = cur->next;
      DESTROY(cur);
      cur = tmp;
    }  
}

void		rhttpr_free_rs(rs)
t_httprs	*rs;
{
  DESTROY(rs->version);
  DESTROY(rs->msg_ret);
  DESTROY(rs->content_type);
  DESTROY(rs->server);
  DESTROY(rs->date);
  DESTROY(rs->last_modif);
  DESTROY(rs->data);
  rhttpr_destroy_list(rs);
  DESTROY(rs);
}
