/*
** get_data.c for rhttpr in .
** 
** Made by flav astraud
** Login   <flav@epita.fr>
** 
** Started on  Thu Jan  6 10:12:45 2000 flav astraud
** Last update Sun Mar 19 21:24:07 2000 rflav
*/
#include <gen.h>

int		rhttpr_raw2rqdata(rq,rdata)
t_httprq	*rq;
char		*rdata;
{
  rq->data = strdup(rdata);
  rq->data_len = strlen(rq->data);
  if (rq->data)
    return (rq->data_len);
  return (0);
}

int		rhttpr_list2rqdata(rq,list)
t_httprq	*rq;
t_list		*list;
{
  t_list	*cur;
  
  rq->data = 0;
  cur = list;
  while (cur)
    {
      char	*tmp_name;
      char	*tmp_val;

      tmp_name = rhttpr_url_encode(cur->name);
      rq->data = rhttpr_str_concat(rq->data,tmp_name,
				   strlen(rq->data),strlen(tmp_name));
      free(tmp_name);
      rq->data = rhttpr_str_concat(rq->data,"=",
				   strlen(rq->data),1);
      tmp_val = rhttpr_url_encode(cur->val);
      rq->data = rhttpr_str_concat(rq->data,tmp_val,
				   strlen(rq->data),strlen(tmp_val));
      free(tmp_val);
      rq->data = rhttpr_str_concat(rq->data,"&",
				   strlen(rq->data),1);
      cur = cur->next;
    }
  rq->data_len = strlen(rq->data);
  return (rq->data_len);
}
