/*
** rhttpr_mk_rq.c for rhttpr in ~flav
** 
** Made by flav astraud
** Login   <flav@epita.fr>
** 
** Started on  Thu Jan  6 15:45:45 2000 flav astraud
** Last update Tue Feb 22 11:10:08 2000 rflav
*/
#include <gen.h>

static	t_tab_of_method	mtab[] = 
{
  {METHOD_GET,rhttpr_mk_get_rq},
  {METHOD_POST,rhttpr_mk_post_rq},
  {METHOD_HEAD,rhttpr_mk_head_rq},

  {0,0}
};

void		rhttpr_create_rq(rq,sd)
t_httprq	*rq;
int		sd;
{
  int		cur;

  cur = 0;
  if (rq->proxy_user)
    rhttpr_set_proxy_auth(rq);
  while (mtab[cur].f && (mtab[cur].method != rq->method))
    cur++;
  if (mtab[cur].f)
    mtab[cur].f(sd,rq);
  else
    {
      fprintf(stderr,"Unexistant method\n");
      exit(-1);
    }
}

t_httprs	*rhttpr_mk_rq(rq)
t_httprq	*rq;
{
  t_httprs	*rs;
  int		sd;

  if (rq->proxy)
    sd = rhttpr_mk_connection(rq->proxy,rq->proxy_port);
  else
    sd = rhttpr_mk_connection(rq->host,rq->port);
  if (sd < 0)
    return (NULL);
  rhttpr_create_rq(rq,sd);
  rs = rhttpr_init_rs();
  rhttpr_recv_respond(sd,rs);
  return (rs);
}
