/*
** put_head.c for rhttpr in ~rflav/works/c/rhttpr
** 
** Made by rflav
** Login   <flav@epita.fr>
** 
** Started on  Wed Jan 12 19:03:01 2000 rflav
** Last update Tue Feb 22 11:09:24 2000 rflav
*/
#include <gen.h>

void		rhttpr_skip_first_word(line)
char		**line;
{
  while (**line != SEP_CAR)
    (*line)++;
  (*line)++;
}

char		*rhttpr_strdupnl(line, sep)
char		*line;
char		sep;
{
  char		*r;
  int		len;
  char		*tmp;
  
  tmp = line;
  len = 0;
  while (*tmp != sep)
    {
      tmp++;
      len++;
    }
  F_MALLOC(r,len+1,"strdupnl");
  tmp = r;
  while (*line != sep)
    {
      *tmp = *line;
      line++;
      tmp++;
    }
  *tmp = 0;
  return (r);
}

void		rhttpr_put_date(rs,line)
t_httprs	*rs;
char		*line;
{
  rhttpr_skip_first_word(&line);
  rs->date = rhttpr_strdupnl(line,END_OF_LINE);  
}

void		rhttpr_put_server(rs,line)
t_httprs	*rs;
char		*line;
{
  rhttpr_skip_first_word(&line);
  rs->server = rhttpr_strdupnl(line,END_OF_LINE);
}

void		rhttpr_put_last_mod(rs,line)
t_httprs	*rs;
char		*line;
{
  rhttpr_skip_first_word(&line);
  rs->last_modif = rhttpr_strdupnl(line,END_OF_LINE);
}

void		rhttpr_put_con_len(rs,line)
t_httprs	*rs;
char		*line;
{
  char		*tmp;

  rhttpr_skip_first_word(&line);
  tmp = line;
  while (*tmp && *tmp != END_OF_LINE && *tmp != SEP_R)
    tmp++;
  *tmp = 0;
  rs->content_length = atoi(line);
}

void		rhttpr_put_con_typ(rs,line)
t_httprs	*rs;
char		*line;
{
  rhttpr_skip_first_word(&line);
  rs->content_type = rhttpr_strdupnl(line,END_OF_LINE);
}

void		rhttpr_field_no_found(rs,line)
t_httprs	*rs;
char		*line;
{
  t_list	*cel;

  F_MALLOC(cel,sizeof(*cel),"cellule for list");
  cel->name = rhttpr_strdupnl(line,DPOINT);
  rhttpr_skip_first_word(&line);
  cel->val = rhttpr_strdupnl(line,END_OF_LINE);
  cel->next = rs->fl;
  rs->fl = cel;
}
